Public API - Attribution
Campaigns for a source
The campaigns under a given traffic source.
GET
/
public
/
v1
/
attribution
/
sources
/
{sourceId}
/
campaigns
Campaigns for a source
curl --request GET \
--url https://app.stairoids.com/api/public/v1/attribution/sources/{sourceId}/campaigns \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.stairoids.com/api/public/v1/attribution/sources/{sourceId}/campaigns"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.stairoids.com/api/public/v1/attribution/sources/{sourceId}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "q2-webinar",
"visits": 320,
"withUtm": 318,
"utmPercentage": 99.4,
"knownCompanies": 88,
"companiesWithSignals": 41
}
]{
"errorType": "EMAIL_ALREADY_EXISTS"
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123,
"addOnSlug": "<string>",
"planSlug": "<string>",
"addOnPriceMonthly": 123,
"upgradePlanSlug": "<string>",
"upgradePlanName": "<string>",
"upgradePlanPriceMonthly": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS"
}Authorizations
Your organization's public API key.
Path Parameters
Response
OK
Campaign id (opaque; use with the campaign-accounts endpoint).
Campaign name.
Example:
"q2-webinar"
Visits attributed to this campaign.
Example:
320
Visits with UTM data.
Example:
318
Share of visits with UTM (0-100).
Example:
99.4
Distinct known companies.
Example:
88
Known companies with buying signals.
Example:
41
⌘I
Campaigns for a source
